ChangeSet 1.1345, 2003/10/09 13:17:37-07:00, noah@caltech.edu

[PATCH] USB: Make ISD-200 USB/ATA Bridge depend on BLK_DEV_IDE

This usb driver needs ide_fix_driveid from drivers/ide/ide-ops.c, which
needs BLK_DEV_IDE ("Enhanced IDE/MFM/RLL disk/cdrom/tape/floppy
support") to get built.

Without this patch, you can configure an un-linkable kernel by doing make
allnoconfig, make menuconfig, and setting CONFIG_PCI, CONFIG_USB,
CONFIG_USB_STORAGE, and CONFIG_USB_STORAGE_ISD200 only.


 drivers/usb/storage/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/Kconfig b/drivers/usb/storage/Kconfig
--- a/drivers/usb/storage/Kconfig	Fri Oct 10 16:02:27 2003
+++ b/drivers/usb/storage/Kconfig	Fri Oct 10 16:02:27 2003
@@ -41,7 +41,7 @@
 
 config USB_STORAGE_ISD200
 	bool "ISD-200 USB/ATA Bridge support"
-	depends on USB_STORAGE
+	depends on USB_STORAGE && BLK_DEV_IDE
 	---help---
 	  Say Y here if you want to use USB Mass Store devices based
 	  on the In-Systems Design ISD-200 USB/ATA bridge.
